[ARVADOS] updated: 02226bdb54db7b8db0468409f6495b6daf82ad71
git at public.curoverse.com
git at public.curoverse.com
Thu Jul 3 11:03:51 EDT 2014
Summary of changes:
docker/mkimage-debootstrap.sh | 2 ++
1 file changed, 2 insertions(+)
via 02226bdb54db7b8db0468409f6495b6daf82ad71 (commit)
from c806ef1d33a260fb736ab0268fbe993314256a4a (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit 02226bdb54db7b8db0468409f6495b6daf82ad71
Author: Ward Vandewege <ward at curoverse.com>
Date: Thu Jul 3 11:03:09 2014 -0400
docker: mkimage-debootstrap.sh: wrap which calls that are expected to
fail in a set +e/set -e block
no issue #
diff --git a/docker/mkimage-debootstrap.sh b/docker/mkimage-debootstrap.sh
index 1eefac9..b4010ef 100755
--- a/docker/mkimage-debootstrap.sh
+++ b/docker/mkimage-debootstrap.sh
@@ -86,10 +86,12 @@ if [ ! "$repo" ] || [ ! "$suite" ]; then
fi
# some rudimentary detection for whether we need to "sudo" our docker calls
+set +e
docker=`which docker.io`
if [[ "$docker" == "" ]]; then
docker=`which docker`
fi
+set -e
if $docker version > /dev/null 2>&1; then
docker="$docker"
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list